<?php

return array
(
    # 表名
    'name' => 'yspay_tixian_apply',
    # 显示给用户看的名称
    'lang' => '申请提现',
    'order' => -200,
    'menu' => false,
    'start' => array
    (
        'insert' => 'shop/lib/yspay.insert',
    ),
    'end' => array
    (
    	'insert' => 'shop/lib/yspay.update', 
    	'update' => 'shop/lib/yspay.update',
    ),
    # 数据结构
    'struct' => array
    (
    
        'id'        => array
        (
            'type'      => 'int-11',
            'name'      => 'ID',
            'default'   => '',
            'desc'      => '',
            'match'     => 'is_numeric',
            'search'    => 'order',
            'update'    => 'hidden',
            //'list'        => true,
        ),

        'shop_id'      => array
        (
            'type'      => 'int-11',
            'name'      => '门店名称',
            'default'   => '',
            'desc'      => '所属门店',
            'match'     => 'is_numeric',
            'update'    => 'hidden',
            'value'		=> Dever::input('shop_id'),
        ),

        'cash'      => array
        (
            'type'      => 'int-11',
            'name'      => '提现金额',
            'default'   => '0',
            'desc'      => '提现金额',
            'match'     => 'option',
            'update'    => 'text',
            'list'      => 'round({cash}/100, 2)',
        ),

        'desc'      => array
        (
            'type'      => 'varchar-800',
            'name'      => '备注',
            'default'   => '',
            'desc'      => '备注',
            'match'     => 'is_numeric',
            'update'    => 'textarea',
            'list'      => true,
        ),

        'state'     => array
        (
            'type'      => 'tinyint-1',
            'name'      => '状态',
            'default'   => '1',
            'desc'      => '请选择状态',
            'match'     => 'is_numeric',
        ),
        
        'cdate'     => array
        (
            'type'      => 'int-11',
            'name'      => '创建时间',
            'match'     => array('is_numeric', time()),
            'desc'      => '',
            # 只有insert时才生效
            //'insert'    => true,
            //'search'    => 'date',
            //'list'      => 'date("Y-m-d H:i:s", {cdate})',
        ),
    ),

    'manage' => array
    (
        'edit' => false,
        'insert' => false,
        'delete' => false,
    ),

    'request' => array
    (
        'getAll' => array
        (
            'option' => array
            (
                'shop_id' => 'yes',
                'state' => 1,
            ),
            'type' => 'all',
            'col' => '*|store_id',
        ),
    ),
);
