<?php
$type = array
(
    1 => '电话',
    2 => '微信',
    3 => 'QQ',
    4 => '短信',
);
$status = array
(
    1 => '显示',
    2 => '不显示',
    // 3 => '不显示算次数'
);
return array
(
    # 表名
    'name' => 'follow',
    # 显示给用户看的名称
    'lang' => '跟进人',
    # 后台菜单排序
    'order' => 2,
    'menu' => false,
    'end' => array
    (
    	'insert' => 'clue/lib/info.updateFollow',
    	'update' => 'clue/lib/info.updateFollow',
    ),
    // 'auto' => 100000,
    'config_type' => $type,
    # 数据结构
    'struct' => array
    (
        'id'        => array
        (
            'type'      => 'int-11',
            'name'      => 'ID',
            'default'   => '',
            'desc'      => '',
            'match'     => 'is_numeric',
            'search'    => 'order',
            'list'      => true,
            'order'     => 'desc',
        ),

        'info_id'      => array
        (
            'type'      => 'int-11',
            'name'      => '线索来源',
            'default'   => '-1',
            'desc'      => '线索来源',
            'match'     => 'option',
            // 'option'    => $info_id,
            'update'    => 'hidden',
            'value'     => Dever::input('search_option_info_id'),
            'list'      => true,
        ),

        'follow_admin_id'       => array
        (
            'type'      => 'varchar-30',
            'name'      => '跟进人',
            'default'   => '',
            'desc'      => '跟进人',
            'match'     => 'option',
            // 'search'    => 'linkage',
            // 'update'    => 'linkage',
            // 'option'    => Dever::url('lib/appoint.get?level_total=2', 'work'),
        ),

        'desc'       => array
        (
            'type'      => 'text-255',
            'name'      => '跟进详情',
            'default'   => '',
            'desc'      => '跟进详情',
            'match'     => 'is_string',
            'update'    => 'textarea',
            'list'      => true,
        ),

        'pic'        => array
        (
            'type'      => 'varchar-500',
            'name'      => '相关截图',
            'default'   => '',
            'desc'      => '请选择相关截图',
            'match'     => 'option',
            'update'    => 'images',
            'key'       => '1',
            //'place'       => '150',
        ),

        'xdate'         => array
        (
            'type'      => 'int-11',
            'name'      => '计划下次跟进时间',
            'default'   => '',
            'match'     => 'is_numeric',
            // 'search'    => 'date',
            'desc'      => '',
            'update'    => 'date',
            'callback'  => 'maketime',
        ),

        'type'      => array
        (
            'type'      => 'int-11',
            'name'      => '跟进方式',
            'default'   => '1',
            'desc'      => '跟进方式',
            'match'     => 'is_string',
            'option'    => $type,
            'update'    => 'select',
            // 'search'    => 'select',
            // 'list'      => true,
        ),

        'status'      => array
        (
            'type'      => 'int-11',
            'name'      => '是否显示',
            'default'   => '1',
            'desc'      => '是否显示',
            'match'     => 'is_string',
            'option'    => $status,
            'update'    => 'hidden',
            // 'search'    => 'select',
            // 'list'      => true,
        ),

        'state'     => array
        (
            'type'      => 'tinyint-1',
            'name'      => '状态',
            'default'   => '1',
            'desc'      => '请选择状态',
            'match'     => 'is_numeric',
        ),
        
        'cdate'     => array
        (
            'type'      => 'int-11',
            'name'      => '创建时间',
            'match'     => array('is_numeric', time()),
            'desc'      => '',
            # 只有insert时才生效
            'insert'    => true,
            'list'      => 'date("Y-m-d H:i:s", {cdate})',
        ),
    ),

    'manage' => array
    (
    	//'insert' => false,
        'delete' => false,
        // 'edit' => false,
        
    ),

    'request' => array
    (
        'getAll' => array
        (
            # 匹配的正则或函数 选填项
            'option' => array
            (
                'info_id' => 'yes',
                'status' => 1,
                'state' => 1,
            ),
            'type' => 'all',
            'order' => array('id' => 'asc'),
            'col' => '*',
        ),
        'getOne' => array
        (
            # 匹配的正则或函数 选填项
            'option' => array
            (
                'info_id' => 'yes',
                'status' => 1,
                'state' => 1,
            ),
            'type' => 'one',
            'order' => array('cdate' => 'desc'),
            'col' => '*',
        ),
        'getCount' => array
        (
            # 匹配的正则或函数 选填项
            'option' => array
            (
                'info_id' => 'yes',
                'status' => 1,
                'state' => 1,
                // 'status' => array('yes','in'),
            ),
            'type' => 'count',
            // 'order' => array('id' => 'asc'),
            'col' => '*',
        ),
    ),
);
