<?php
#1代理商，期权账户，小程序用户，
$type = array
(
    1 => '代理商',
    2 => '期权账户',
    3 => '小程序用户',
);
return array
(
    # 表名
    'name' => 'info_log',
    # 显示给用户看的名称
    'lang' => '工单记录',
    # 后台菜单排序
    'order' => 2,
    'menu' => false,
    # 数据结构
    'struct' => array
    (
        'id'        => array
        (
            'type'      => 'int-11',
            'name'      => 'ID',
            'default'   => '',
            'desc'      => '',
            'match'     => 'is_numeric',
            'search'    => 'order',
            'list'      => true,
            'order'     => 'desc',
        ),

        'info_id'      => array
        (
            'type'      => 'int-11',
            'name'      => '工单信息',
            'default'   => '-1',
            'desc'      => '工单id',
            'match'     => 'is_string',
            // 'update'    => 'text',
            
        ),
        'admin_id'      => array
        (
            'type'      => 'varchar-500',
            'name'      => '操作人',
            'default'   => '-1',
            'desc'      => '操作人',
            'match'     => 'is_string',
            // 'update'    => 'text',
           
        ),

        'app_admin_id'      => array
        (
            'type'      => 'varchar-500',
            'name'      => '指派人id',
            'default'   => '-1',
            'desc'      => '指派人id',
            'match'     => 'is_string',
            // 'update'    => 'text',
           
        ),

        'appoint_id'      => array
        (
            'type'      => 'int-11',
            'name'      => '指派工单id',
            'default'   => '-1',
            'desc'      => '代理商',
            'match'     => 'is_string',
            // 'update'    => 'text',
        ),

        'fdate'     => array
        (
            'type'      => 'int-11',
            'name'      => '完成时间',
            'default'   => '',
            'match'     => 'is_numeric',
            'search'    => 'date',
        ),

        'cloce_date'     => array
        (
            'type'      => 'int-11',
            'name'      => '完成关闭时间',
            'default'   => '',
            'match'     => 'is_numeric',
            'search'    => 'date',
            
        ),

        'state'     => array
        (
            'type'      => 'tinyint-1',
            'name'      => '状态',
            'default'   => '1',
            'desc'      => '请选择状态',
            'match'     => 'is_numeric',
        ),
        
        'cdate'     => array
        (
            'type'      => 'int-11',
            'name'      => '处理时间',
            'match'     => array('is_numeric', time()),
            'desc'      => '',
            # 只有insert时才生效
            'insert'    => true,
            'list'      => 'date("Y-m-d H:i:s", {cdate})',
        ),
    ),

    'manage' => array
    (
    	'insert' => false,
        'delete' => false,
        'edit' => false,
        'page_list' => 'info_log',
    ),

    'request' => array
    (
        'getAll' => array
        (
            # 匹配的正则或函数 选填项
            'option' => array
            (
                'info_id' => 'yes',
                'state' => 1,
            ),
            'type' => 'all',
            'order' => array('cdate'=> 'asc'),
            'col' => '*',
        ),
        'getmyAll' => array
        (
            # 匹配的正则或函数 选填项
            'option' => array
            (
                'app_admin_id' => 'yes',
                'admin_id' => 'yes',
                'state' => 1,
            ),
            'type' => 'all',
            'order' => array('id' => 'desc'),
            'col' => '*|info_id',
        ),
    ),
);
