<?php
#1代理商，期权账户，小程序用户，
$type = array
(
    1 => '代理商',
    2 => '期权账户',
    3 => '小程序用户',
    4 => '客服系统用户',
);
return array
(
    # 表名
    'name' => 'user',
    # 显示给用户看的名称
    'lang' => '客户列表',
    # 后台菜单排序
    'order' => 2,
    'menu' => false,
    # 数据结构
    'struct' => array
    (
        'id'        => array
        (
            'type'      => 'int-11',
            'name'      => 'ID',
            'default'   => '',
            'desc'      => '',
            'match'     => 'is_numeric',
            'search'    => 'order',
            'list'      => true,
            'order'     => 'desc',
        ),

        'company_id'       => array
        (
            'type'      => 'int-11',
            'name'      => '所属公司',
            'default'   => '1',
            'desc'      => '所属公司',
            'match'     => 'is_numeric',
            'update'    => 'hidden',
            //'search'    => $company ? 'select' : false,
            //'list'      => true,
        ),

        'agent_uid'      => array
        (
            'type'      => 'int-11',
            'name'      => '代理商姓名/手机号',
            'default'   => '-1',
            'desc'      => '代理商',
            'match'     => 'is_string',
            // 'update'    => 'text',
            // 'search'    => array
            // (
            //     'api' => 'agent/member-getSearch',
            //     'col' => 'col',
            //     'result' => 'id',
            //     'search' => 'mid',
            // ),
            // 'list_name' => '代理商信息',
            // 'list'      => 'Dever::load("agent/lib/member.getOne", {mid}, "agent/member", true)',
        ),
        'option_uid'      => array
        (
            'type'      => 'int-11',
            'name'      => '期权账户/手机号',
            'default'   => '-1',
            'desc'      => '代理商',
            'match'     => 'is_string',
            // 'update'    => 'text',
            // 'search'    => array
            // (
            //     'api' => 'agent/member-getSearch',
            //     'col' => 'col',
            //     'result' => 'id',
            //     'search' => 'mid',
            // ),
            // 'list_name' => '代理商信息',
            // 'list'      => 'Dever::load("agent/lib/member.getOne", {mid}, "agent/member", true)',
        ),

        'passport_uid'      => array
        (
            'type'      => 'int-11',
            'name'      => '小程序姓名/手机号',
            'default'   => '-1',
            'desc'      => '代理商',
            'match'     => 'is_string',
            // 'update'    => 'text',
            // 'search'    => array
            // (
            //     'api' => 'agent/member-getSearch',
            //     'col' => 'col',
            //     'result' => 'id',
            //     'search' => 'mid',
            // ),
            // 'list_name' => '代理商信息',
            // 'list'      => 'Dever::load("agent/lib/member.getOne", {mid}, "agent/member", true)',
        ),

        'name'      => array
        (
            'type'      => 'varchar-200',
            'name'      => '名称',
            'default'   => '',
            'desc'      => '名称',
            'match'     => 'is_string',
            'update'    => 'text',
            'search'    => 'fulltext',
            'list'      => true,
        ),

        'mobile'      => array
        (
            'type'      => 'bigint-11',
            'name'      => '手机号',
            'default'   => '',
            'desc'      => '请输入手机号',
            'match'     => Dever::rule('mobile'),
            'update'    => 'text',
            //'search'    => 'fulltext',
            'list'      => true,
        ),

        'idcard'      => array
        (
            'type'      => 'varchar-32',
            'name'      => '身份证号码',
            'default'   => '',
            'desc'      => '身份证号码',
            'match'     => Dever::rule('idcard'),
            'update'    => 'text',
        ),

        'username'      => array
        (
            'type'      => 'varchar-200',
            'name'      => '昵称',
            'default'   => '',
            'desc'      => '昵称',
            'match'     => 'is_string',
            'update'    => 'text',
            'search'    => 'fulltext',
            'list'      => true,
        ),

        'avatar'        => array
        (
            'type'      => 'varchar-150',
            'name'      => '头像',
            'default'   => '',
            'desc'      => '请选择头像',
            'match'     => 'option',
            'update'    => 'image',
            'key'       => '1',
            //'place'       => '150',
        ),

        'type'        => array
        (
            'type'      => 'tinyint-1',
            'name'      => '类型',
            'default'   => '1',
            'desc'      => '类型',
            'match'     => 'is_numeric',
            'update'    => 'radio',
            'option'    => $type,
            // 'search'    => 'select',
            'list'      => true,
        ),

        'reorder'       => array
        (
            'type'      => 'int-11',
            'name'      => '排序-数值越大越靠前',
            'default'   => '1',
            'desc'      => '请输入排序',
            'match'     => 'option',
            'update'  => 'text',
            'search'    => 'order',
            'list'      => true,
            'order'     => 'desc',
            'edit'      => true,
        ),

        'state'     => array
        (
            'type'      => 'tinyint-1',
            'name'      => '状态',
            'default'   => '1',
            'desc'      => '请选择状态',
            'match'     => 'is_numeric',
        ),
        
        'cdate'     => array
        (
            'type'      => 'int-11',
            'name'      => '创建时间',
            'match'     => array('is_numeric', time()),
            'desc'      => '',
            # 只有insert时才生效
            'insert'    => true,
            'list'      => 'date("Y-m-d H:i:s", {cdate})',
        ),
    ),

    'manage' => array
    (
    	'insert' => false,
        'delete' => false,
        'edit' => false,
        # 设置公司权限
        'company' => 'company_id',
    ),

    'request' => array
    (
        'getSearch' => array
        (
            # 匹配的正则或函数 选填项
            'option' => array
            (
                'col' => array('yes-mobile,name', 'like'),
            ),
            'type' => 'all',
            'col' => '*|id',
        ),
    ),
);
