<?php

return array
(
    # 表名
    'name' => 'column',
    # 显示给用户看的名称
    'lang' => '栏目管理',
    # 是否显示在后台菜单
    'order' => 9,

    # 数据结构
    'struct' => array
    (
        'id'        => array
        (
            'type'      => 'int-11',
            'name'      => 'ID',
            'default'   => '',
            'desc'      => '',
            'match'     => 'is_numeric',
            'order'     => 'asc',
            'list'      => true,
        ),

        'name'      => array
        (
            'type'      => 'varchar-150',
            'name'      => '栏目名称',
            'default'   => '',
            'desc'      => '栏目名称',
            'match'     => 'is_string',
            'update'    => 'text',
            'search'    => 'fulltext',
            'list'      => true,
            'edit'      => true,
        ),

        'reorder'       => array
        (
            'type'      => 'int-11',
            'name'      => '排序(数值越大越靠前)',
            'default'   => '1',
            'desc'      => '请输入排序',
            'match'     => 'option',
            'update'    => 'text',
            'search'    => 'order',
            'list_name' => '排序',
            'list'      => true,
            'order'     => 'desc',
            'edit'      => true,
        ),
        
        'state'     => array
        (
            'type'      => 'tinyint-1',
            'name'      => '状态',
            'default'   => '1',
            'desc'      => '请选择状态',
            'match'     => 'is_numeric',
        ),
        
        'cdate'     => array
        (
            'type'      => 'int-11',
            'name'      => '录入时间',
            'match'     => array('is_numeric', time()),
            'desc'      => '',
            # 只有insert时才生效
            'insert'    => true,
            'search'    => 'date',
            'list'      => 'date("Y-m-d H:i:s", {cdate})',
        ),
    ),

    'manage' => array
    (

    ),

    # 默认值
    'default' => array
    (
        'col' => 'name,state,cdate',
        'value' => array
        (
            '"默认栏目",1,' . time(),
        ),
    ),

    'request' => array
    (
        
    )
);
