<?php

$type = array
(
    1 => '门店销售',
    2 => '门店管理',
    3 => '仓库管理',
    4 => '工厂管理',
    5 => '网站',
    6 => '代理商',
    7 => '期权',
    8 => '商学院',
);

$config = array
(
    # 表名
    'name' => 'help',
    # 显示给用户看的名称
    'lang' => '帮助中心',
    # 后台菜单排序
    'order' => 1,
    # 数据结构
    'struct' => array
    (
        'id'        => array
        (
            'type'      => 'int-11',
            'name'      => 'ID',
            'default'   => '',
            'desc'      => '',
            'match'     => 'is_numeric',
            //'search'    => 'order',
            //'list'      => true,
            'order'     => 'desc',
        ),
        
        'name'      => array
        (
            'type'      => 'varchar-80',
            'name'      => '标题',
            'default'   => '',
            'desc'      => '标题',
            'match'     => 'is_string',
            'update'    => 'text',
            'search'    => 'fulltext',
            'list'      => true,
        ),

        'desc'      => array
        (
            'type'      => 'varchar-500',
            'name'      => '描述',
            'default'   => '',
            'desc'      => '描述',
            'match'     => 'option',
            'update'    => 'textarea',
        ),

        'type'        => array
        (
            'type'      => 'int-11',
            'name'      => '帮助类型',
            'default'   => '1',
            'desc'      => '帮助类型',
            'match'     => 'is_numeric',
            'update'    => 'radio',
            'option'    => $type,
            'search'    => 'select',
            'list'      => true,
        ),

        'content'      => array
        (
            'type'      => 'text-255',
            'name'      => '内容',
            'default'   => '',
            'desc'      => '内容',
            'match'     => 'is_string',
            'update'    => 'editor',
            //'list_name'       => '链接',
            //'list'      => 'Dever::load("content/lib/page.link", {id})',
        ),

        'state'     => array
        (
            'type'      => 'tinyint-1',
            'name'      => '状态',
            'default'   => '1',
            'desc'      => '请选择状态',
            'match'     => 'is_numeric',
        ),
        
        'cdate'     => array
        (
            'type'      => 'int-11',
            'name'      => '录入时间',
            'match'     => array('is_numeric', time()),
            'desc'      => '',
            # 只有insert时才生效
            'insert'    => true,
            'list'      => 'date("Y-m-d H:i:s", {cdate})',
        ),
    ),

    'manage' => array
    (
        
    ),

    'request' => array
    (
        
    )
);

return $config;