<?php

$mid = Dever::input('mid');

$desc = '';
if ($mid) {
	$desc = '当前上级' . Dever::load('agent/lib/member')->getInfoString($mid);
}


return array
(
    # 表名
    'name' => 'member_parent',
    # 显示给用户看的名称
    'lang' => '代理上级',
    'menu' => false,
    'end' => array
    (
        'insert' => 'agent/lib/manage.setParent_commit',
        'update' => 'agent/lib/manage.setParent_commit',
    ),
    # 数据结构
    'struct' => array
    (
    
        'id'        => array
        (
            'type'      => 'int-11',
            'name'      => 'ID',
            'default'   => '',
            'desc'      => '',
            'match'     => 'is_numeric',
            'search'    => 'order',
            //'list'        => true,
        ),

        'mid'      => array
        (
            'type'      => 'int-11',
            'name'      => '代理商',
            'default'   => '-1',
            'desc'      => '代理商',
            'match'     => 'is_string',
            'update'    => 'hidden',
            'value'		=> $mid,
        ),

        'parent_mobile'      => array
        (
            'type'      => 'bigint-11',
            'name'      => '输入上级手机号-<font style="color:red">请谨慎操作，归属的上级不能与当前代理商同一团队，否则会影响归属后的业绩数据</font>',
            'default'   => '',
            'desc'      => '邀请人',
            'match'     => 'is_string',
            'update'    => 'text',
        ),

        'state'     => array
        (
            'type'      => 'tinyint-1',
            'name'      => '状态',
            'default'   => '1',
            'desc'      => '请选择状态',
            'match'     => 'is_numeric',
        ),
        
        'cdate'     => array
        (
            'type'      => 'int-11',
            'name'      => '申请时间',
            'match'     => array('is_numeric', time()),
            'desc'      => '',
            # 只有insert时才生效
            //'insert'    => true,
            'search'    => 'date',
            'list'      => 'date("Y-m-d H:i:s", {cdate})',
        ),
    ),

    'manage' => array
    (
        'desc' => $desc,
    ),

    'request' => array
    (
        
    ),
);
