<?php

return array
(
    # 表名
    'name' => 'shop_stat_log',
    # 显示给用户看的名称
    'lang' => '归店统计操作记录表',
    'order' => 79,
    'menu' => false,

    # 数据结构
    'struct' => array
    (
    
        'id'        => array
        (
            'type'      => 'int-11',
            'name'      => 'ID',
            'default'   => '',
            'desc'      => '',
            'match'     => 'is_numeric',
            'search'    => 'order',
            //'list'        => true,
        ),

        'month'     => array
        (
            'type'      => 'int-11',
            'name'      => '月份',
            'default'   => '',
            'match'     => 'is_numeric',
            'desc'      => '',
            'update'    => 'month',
            'search'    => 'month',
            'callback'  => 'maketime',
            'list'      => 'date("Y-m", {month})',
        ),

        'create_admin'      => array
        (
            'type'      => 'int-11',
            'name'      => '归店统计生成人',
            'default'   => '',
            'desc'      => '归店统计生成人',
            'match'     => 'is_numeric',
        ),

        'create_date'      => array
        (
            'type'      => 'int-11',
            'name'      => '归店统计生成时间',
            'default'   => '',
            'desc'      => '归店统计生成时间',
            'match'     => 'is_numeric',
        ),

        'confirm_admin'      => array
        (
            'type'      => 'int-11',
            'name'      => '对账确认人',
            'default'   => '',
            'desc'      => '对账确认人',
            'match'     => 'is_numeric',
        ),

        'confirm_date'      => array
        (
            'type'      => 'int-11',
            'name'      => '对账确认时间',
            'default'   => '',
            'desc'      => '对账确认时间',
            'match'     => 'is_numeric',
        ),

        'send_admin'      => array
        (
            'type'      => 'int-11',
            'name'      => '账单发放人',
            'default'   => '',
            'desc'      => '账单发放人',
            'match'     => 'is_numeric',
        ),

        'send_date'      => array
        (
            'type'      => 'int-11',
            'name'      => '账单发放时间',
            'default'   => '',
            'desc'      => '账单发放时间',
            'match'     => 'is_numeric',
        ),

        // 'subsidy'      => array
        // (
        //     'type'      => 'decimal-11,2',
        //     'name'      => '补贴',
        //     'default'   => '0',
        //     'desc'      => '补贴',
        //     'match'     => 'is_numeric',
        //     'update'    => 'text',
        //     'list'      => true,
        //     'list_order' => 3,
        // ),

        // 'dl_subsidy'      => array
        // (
        //     'type'      => 'decimal-11,2',
        //     'name'      => '补贴',
        //     'default'   => '0',
        //     'desc'      => '补贴',
        //     'match'     => 'is_numeric',
        //     'update'    => 'text',
        //     // 'list'      => true,
        //     // 'list_order' => 3,
        // ),

        // 'v_subsidy'      => array
        // (
        //     'type'      => 'decimal-11,2',
        //     'name'      => '补贴',
        //     'default'   => '0',
        //     'desc'      => '补贴',
        //     'match'     => 'is_numeric',
        //     'update'    => 'text',
        //     // 'list'      => true,
        //     // 'list_order' => 3,
        // ),

        'state'     => array
        (
            'type'      => 'tinyint-1',
            'name'      => '状态',
            'default'   => '1',
            'desc'      => '请选择状态',
            'match'     => 'is_numeric',
        ),
        
        'cdate'     => array
        (
            'type'      => 'int-11',
            'name'      => '统计时间',
            'match'     => array('is_numeric', time()),
            'desc'      => '',
        ),
    ),

    'manage' => array
    (
        // 'insert' => false,
        'delete' => false,
        // 'edit' => false,
        // 'excel' => true,
    ),

    'request' => array
    (
        
    ),
);
