<?php

# 常用的col
$col = '*';
return array
(
    # 表名
    'name' => 'company_qiquan',
    # 显示给用户看的名称
    'lang' => '期权类型配置',
    'order' => -100,
    'menu' => false,

    # 数据结构
    'struct' => array
    (
        'id'        => array
        (
            'type'      => 'int-11',
            'name'      => 'ID',
            'default'   => '',
            'desc'      => '',
            'match'     => 'is_numeric',
            'list'      => true,
        ),

        'company_id'       => array
        (
            'type'      => 'int-11',
            'name'      => '所属公司',
            'default'   => '-1',
            'desc'      => '所属公司',
            'match'     => 'is_numeric',
            'update'    => 'hidden',
            'value'		=> Dever::input('search_option_company_id'),
            //'list'      => true,
        ),
        
        'name'      => array
        (
            'type'      => 'varchar-80',
            'name'      => '期权类型名称',
            'default'   => '',
            'desc'      => '期权类型名称',
            'match'     => 'is_string',
            'update'    => 'text',
            'list'      => true,
            'search'    => 'fulltext',
        ),
        
        'state'     => array
        (
            'type'      => 'tinyint-1',
            'name'      => '状态',
            'default'   => '1',
            'desc'      => '请选择状态',
            'match'     => 'is_numeric',
        ),

        'cdate'     => array
        (
            'type'      => 'int-11',
            'name'      => '录入时间',
            'match'     => array('is_numeric', time()),
            'desc'      => '',
            # 只有insert时才生效
            'insert'    => true,
            'list'        => 'date("Y-m-d H:i", {cdate})',
        ),
    ),

    'default' => array
    (
        'col' => 'id,name,company_id,state,cdate',
        'value' => array
        (
            '1,"期权", 1, 1,' . DEVER_TIME,
            '2,"原始期权", 1, 1,' . DEVER_TIME,
        ),
    ),
    
    # 管理功能
    'manage' => array
    (
       
    ),

    'request' => array
    (
        
    ),
);
