<?php

return array
(
    # 表名
    'name' => 'bank',
    # 显示给用户看的名称
    'lang' => '银行列表',
    # 后台菜单排序
    'order' => 4,
    # 数据结构
    'struct' => array
    (
        'id'        => array
        (
            'type'      => 'int-11',
            'name'      => 'ID',
            'default'   => '',
            'desc'      => '',
            'match'     => 'is_numeric',
            'search'    => 'order',
            //'list'      => true,
            'order'     => 'desc',
        ),
        
        'name'      => array
        (
            'type'      => 'varchar-200',
            'name'      => '银行名称',
            'default'   => '',
            'desc'      => '银行名称',
            'match'     => 'is_string',
            'update'    => 'text',
            'search'    => 'fulltext',
            'list'      => true,
        ),

        'logo'     => array
        (
            'type'      => 'varchar-150',
            'name'      => '银行logo',
            'default'   => '',
            'desc'      => '银行logo',
            'match'     => 'option',
            'update'    => 'image',
            'key'       => '1',
            'place'     => '300*300',
        ),

        'reorder'       => array
        (
            'type'      => 'int-11',
            'name'      => '排序-数值越大越靠前',
            'default'   => '1',
            'desc'      => '请输入排序',
            'match'     => 'option',
            'update'  => 'text',
            'search'    => 'order',
            'list'      => true,
            'order'     => 'desc',
            'edit'      => true,
        ),

        'state'     => array
        (
            'type'      => 'tinyint-1',
            'name'      => '状态',
            'default'   => '1',
            'desc'      => '请选择状态',
            'match'     => 'is_numeric',
        ),
        
        'cdate'     => array
        (
            'type'      => 'int-11',
            'name'      => '创建时间',
            'match'     => array('is_numeric', time()),
            'desc'      => '',
            # 只有insert时才生效
            'insert'    => true,
            'list'      => 'date("Y-m-d H:i:s", {cdate})',
        ),
    ),

    'manage' => array
    (
    	//'insert' => false,
        //'delete' => false,
        'edit' => false,
        'list_button' => array
        (
        	'fast' => array('编辑', '"bank&where_id={id}&oper_save_jump=bank&oper_table=bank&oper_parent=bank"'),
        )
    ),

    'request' => array
    (
        
    ),
);
